## visad
Class Scalar

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Scalar

All Implemented Interfaces:
  Cloneable, Comparable, Data, ScalarIface, Serializable, Thing

Direct Known Subclasses:
  Real, Text

public abstract class Scalar
extends DataImpl
implements ScalarIface, Comparable

Scalar is the superclass of the VisAD hierarchy of scalar data.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`Scalar(ScalarType type)`

Method Summary
`void` `addReference(ThingReference listener)` Adds a listener for changes to this instance.
`Object` `clone()` Clones this instance.
`abstract boolean` `equals(Object obj)` Indicates if this scalar is semantically identical to an object.
`void` `removeReference(ThingReference listener)` Removes a listener for changes to this instance.

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, longString, longString, main, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### Scalar

    public Scalar(ScalarType type)

Method Detail

### addReference

    public final void addReference(ThingReference listener)

  Adds a listener for changes to this instance. Because instances of this class don't change, this method does nothing.

  Specified by:
    `addReference` in interface `Thing`
  Overrides:
    `addReference` in class `ThingImpl`
  Parameters:
    `listener` - The listener for changes.

### removeReference

    public final void removeReference(ThingReference listener)

  Removes a listener for changes to this instance. Because instances of this class don't change, this method does nothing.

  Specified by:
    `removeReference` in interface `Thing`
  Overrides:
    `removeReference` in class `ThingImpl`
  Parameters:
    `listener` - The change listener to be removed.

### equals

    public abstract boolean equals(Object obj)

  Indicates if this scalar is semantically identical to an object.

  Specified by:
    `equals` in interface `ScalarIface`
  Parameters:
    `obj` - The object.
  Returns:
    `true` if and only if this scalar is semantically identical to the object.

### clone

    public final Object clone()

  Clones this instance.

  Overrides:
    `clone` in class `DataImpl`
  Returns:
    A clone of this instance.